/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_DATA_H)
#define _DATA_H

/**
 * Variables for the formula.
 */
struct formula_info_s {
	char displayed_formula[1024];
	char result_formula[1024];
	int formula_len;
	int blank_order;
	int number_index;
	int number_count[10];
	int decimal_num;
	bool decimal_is_possible;
	bool operand_is_possible;
	bool is_multi_line;
	int last_one[1024];
	double result_num[20];
	char result_op[20];
};

void data_get_resource_path(const char *file_in, char *file_path_out, int file_path_max);

int data_get_len_of_formula(char *formula);
struct formula_info_s *data_get_formula_info(void);
char *data_create_popup_text(int type);
void data_copy_string_to_string(char *to_string, char *from_string, const char *extra_string);
void data_set_value_on_reset(void);
void data_add_operand(button_info_s *btn_info);
char *data_add_number(button_info_s *btn_info);
void data_add_blank(button_info_s *btn_info);
void data_add_decimal_point(button_info_s *btn_info);
void data_control_del_button(button_info_s *btn_info);
void data_calculate_result(button_info_s *btn_info);

#endif
